Skip to content

List temporary access role requests ​

GET
/v1/clients/authorisations/role/request

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
client_id
Example"19941a73d2b5498caf6894d62bb6c3a4_cln"
Default
null
status
Example"pending"
Default
null
requested_role
Example"admin"
Default
null

Responses​

OK

application/json
JSON
{
  
"requests": [
  
  
{
  
  
  
"role_access_request_id": "19941a73d2b5498caf6894d62bb6c3a4_rar",
  
  
  
"client_id": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
  
  
"updated_by": "19941a73d2b5498caf6894d62bb6c3a4_cln",
  
  
  
"requested_role": "admin",
  
  
  
"status": "approved",
  
  
  
"reason": "Need temporary access for a distributor support issue",
  
  
  
"requested_at": "2026-06-01T13:00:00",
  
  
  
"approved_at": "2026-06-01T13:00:01",
  
  
  
"expires_at": "2026-06-01T14:00:01",
  
  
  
"revoked_at": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​